Delete Signatures

Deletes the specified signatures in bulk.

Required Permissions

Requires the MEMBER role or higher.

HTTP Request

DELETE /api/sonar/signatures
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     -X DELETE \
     "https://HOSTNAME/api/sonar/signatures?guids=8f2bec1f-3635-429f-9082-46c5de11f5c9"
Request Parameters
KeyRequiredTypeDescriptionNote
guidsOString listSignature identifier listComma-separated GUIDs

Success Response

{
  "failures": []
}

Error Responses

Signature not found

HTTP status code 200

{
  "failures": [
    {
      "id": "7ca522ad-0b77-474c-8dd1-d8418ffc8601",
      "reason": "signature not found"
    }
  ]
}
Required argument is missing

HTTP status code 400

{
  "error_code": "null-argument",
  "error_msg": "guids should be not null"
}
Invalid GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}
No permission

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}